import { Observable, Subject } from "rxjs";
import dotenv from 'dotenv';
import { AdapterInterface, TransmissionRole, Transport, TransportServiceInterface } from "../interface/interface";

dotenv.config();
/* This transport manager will be instantiating the necessary transport to deal with tranmission and receiving from different receivers
So how?: */
export class AdapterBase implements AdapterInterface {
    protected transportService!: TransportServiceInterface
    adapterId!: string;
    role!: TransmissionRole;
    transport: Transport;

    constructor() {
        //logic here
    }

    setAdapterProfile(id: string, adapterType: Transport, role: TransmissionRole): void {
        this.adapterId = id
        this.transport = adapterType
        this.role = role
    }

}


