import { Observable, Subject } from "rxjs"
import { AdapterInterface, AdapterManagerInterface, GeneralEvent, TransportServiceInterface } from "../interface/interface"

export class AdapterManagerBase implements AdapterManagerInterface {
    protected browserEnv!: boolean
    protected event!: Subject<GeneralEvent<any>>
    protected transportServiceArray: TransportServiceInterface[] = []
    protected adapters: AdapterInterface[] = []

    constructor() {
        // logic here
    }

    subscribeForAdapters(): Observable<GeneralEvent<any>> {
        throw new Error("Method not implemented.")
    }

}



